Page MenuHomePhabricator

[Hurd] Use the GCC multilib/multiarch paths support
ClosedPublic

Authored by sthibaul on Feb 8 2020, 9:38 AM.

Diff Detail

Event Timeline

lebedev.ri resigned from this revision.Apr 8 2020, 11:50 PM
lebedev.ri added reviewers: MaskRay, arsenm, phosek.
MaskRay added inline comments.Apr 9 2020, 12:06 AM
clang/test/Driver/Inputs/basic_cross_hurd_tree/usr/i386-gnu/bin/as
1

If the file is not invoked, it can be empty.

clang/test/Driver/Inputs/basic_cross_hurd_tree/usr/i386-gnu/bin/ld
1

This file is not used I think?

sthibaul marked 4 inline comments as done.Apr 9 2020, 4:37 PM
sthibaul added inline comments.
clang/test/Driver/Inputs/basic_cross_hurd_tree/usr/i386-gnu/bin/as
1

I was following the linux' tree way, but indeed.

clang/test/Driver/Inputs/basic_cross_hurd_tree/usr/i386-gnu/bin/ld
1

ld actually is, but ld.gold and ld.bfd were not indeed.

sthibaul updated this revision to Diff 256445.Apr 9 2020, 4:37 PM
sthibaul marked 2 inline comments as done.

@MaskRay @phosek : can we have a look at this then?

MaskRay accepted this revision.Apr 25 2020, 2:26 PM

LGTM.

This revision is now accepted and ready to land.Apr 25 2020, 2:26 PM

Ping? Do you need someone to commit it? If yes, please provide name <email> for proper contribution attribution.

sthibaul closed this revision.Aug 3 2020, 2:19 AM

Oh.
It was committed already as c298e5a022928b59941d74680a41fc9c76038b2a ("[Gnu toolchain] Move GCC multilib/multiarch paths support from Linux to Gnu") but apparently with the wrong Differential Revision (D73845 instead of D74282).
Now closing.